Bug 1750732 - config can't be turned on if no $HOME/.config/fontconfig/conf.d is available
Summary: config can't be turned on if no $HOME/.config/fontconfig/conf.d is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libeasyfc
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 11:39 UTC by Akira TAGOH
Modified: 2019-09-19 01:53 UTC (History)
5 users (show)

Fixed In Version: libeasyfc-0.14.0-6.fc31 libeasyfc-0.14.0-6.fc30 libeasyfc-0.14.0-6.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-15 00:27:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Akira TAGOH 2019-09-10 11:39:02 UTC
Description of problem:
On the Fontconfig recipes tab, the config can't be turned on if no $HOME/.config/fontconfig/conf.d is available. once it is created, it works fine.

Version-Release number of selected component (if applicable):
fonts-tewak-tool-0.4.5-5.fc31.x86_64
libeasyfc-0.14.0-5.fc31.x86_64
libeasyfc-gobject-0.14.0-5.fc31.x86_64

How reproducible:
always

Steps to Reproduce:
1.run fonts-tweak-tool
2.go to the fontconfig recipes tab
3.turn on some config

Actual results:
switch is turned off immediately

Expected results:
switch should keeps turned on.

Additional info:

Comment 1 Akira TAGOH 2019-09-11 12:20:19 UTC
This is actually an issue in libeasyfc. reassigning.

Comment 2 Fedora Update System 2019-09-11 12:57:32 UTC
FEDORA-2019-2ed10125c6 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ed10125c6

Comment 3 Fedora Update System 2019-09-11 12:57:37 UTC
FEDORA-2019-d2f52f6be9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2f52f6be9

Comment 4 Fedora Update System 2019-09-11 15:37:38 UTC
libeasyfc-0.14.0-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2f52f6be9

Comment 5 Fedora Update System 2019-09-11 19:11:19 UTC
libeasyfc-0.14.0-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3fea5b1b5c

Comment 6 Fedora Update System 2019-09-11 22:46:11 UTC
libeasyfc-0.14.0-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ed10125c6

Comment 7 Fedora Update System 2019-09-15 00:27:14 UTC
libeasyfc-0.14.0-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-19 01:30:54 UTC
libeasyfc-0.14.0-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-19 01:53:20 UTC
libeasyfc-0.14.0-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.